### Method

# FwupdPlugin Device set_physical_id

#### Declaration [src]

    void
    fu_device_set_physical_id (
      FuDevice* self,
      const gchar* physical_id
    )

#### Description [src]

Sets the physical ID on the device which represents the electrical connection of the device to the system. Multiple `FuDevices` can share a physical ID.

The physical ID is used to remove logical devices when a physical device has been removed from the system.

A sysfs or devpath is not a physical ID, but could be something like `PCI_SLOT_NAME=0000:3e:00.0`.

Available since: | 1.1.2

Sets property | `FwupdPlugin.Device:physical-id`

#### Parameters

`physical_id` | `const gchar*`
| A string that identifies the physical device connection.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.